<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3.2.6.2.1 $
 * $Author: tora60 $
 * $Date: 2009/04/12 23:45:06 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 *
 * Copyright (c) 2001 by Xavier JULIE (webmaster@securite-internet.org
 * http://www.securite-internet.org
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen('Access Denied');
    die();
}

include('header.php');
GraphicAdmin();
title(_OPTIMIZINGDB . ' `' . $GLOBALS['dbname'] . '`');
OpenTable();
echo '
<table class=" full list">
  <thead>
    <tr>
      <th>' . _TABLE . '</th>
      <th>' . _SIZE . '</th>
      <th>' . _STATUS . '</th>
      <th>' . _SPACESAVED . '</th>
    </tr>
  </thead>
  <tbody>';
$class = '';
$out = '';
$total_gain = 0;
$local_query = 'SHOW TABLE STATUS FROM `' . $dbname . '`';
$result = sql_query($local_query);
if ($result) {
    while ($row = sql_fetch_assoc($result)) {
        $total = ($row['Data_length'] + $row['Index_length']) / 1024 ;
        $total = round ($total, 3);
        $local_query = 'OPTIMIZE TABLE `' . $row['Name'] . '`';
        $resultat = sql_query($local_query);
        $class = ($class == '') ? ' class="alternate-a"' : '';
        if ($row['Data_free']) {
            $gain = $row['Data_free'] / 1024 ;
            $total_gain += $gain;
            $gain = round($gain, 3);
            $out .= '
    <tr' . $class . '>
      <td><strong>' . $row['Name'] . '</strong></td>
      <td><strong>' . $total . ' Kb</strong></td>
      <td><strong>' . _OPTIMIZED . '</strong></td>
      <td><strong>' . $gain . ' Kb</strong></td>
    </tr>';
        } else {
            $out .= '
    <tr' . $class . '>
      <td>' . $row['Name'] . '</td>
      <td>' . $total . ' Kb</td>
      <td>' . _ALREADYOPTIMIZED . '</td>
      <td>0 Kb</td>
    </tr>';
        }
    }
}
if ($out) {
    echo $out;
} else {
    echo '
    <tr><td colspan="4"></td></tr>';
}
echo '
  </tbody>
</table>';
CloseTable();
$total_gain = round ($total_gain, 3);

$sql_query = "CREATE TABLE IF NOT EXISTS " . $prefix . "_optimize_gain(gain decimal(10,3))";
$result = @sql_query($sql_query);

$sql_query = "INSERT INTO " . $prefix . "_optimize_gain (gain) VALUES ('$total_gain')";
$result = @sql_query($sql_query);

$sql_query = "SELECT * FROM " . $prefix . "_optimize_gain";
$result = sql_query ($sql_query);
$histo = 0;
$cpt = 0;
while ($row = sql_fetch_row($result)) {
    $histo += $row[0];
    $cpt += 1;
}

OpenTable();
echo '
<p class="title">' . _OPTIMIZATIONRESULTS . '</p>
	<ul>
		<li>' . _TOTALSPACESAVED . ' ' . $total_gain . ' Kb</li>
		<li>' . _YOUHAVERUNSCRIPT . ' ' . $cpt . '&nbsp;X</li>
		<li>' . $histo . '  ' . _KBSAVED . '</li>
	</ul>';
CloseTable();
include('footer.php');

?>